function thermo = read_thermo(varargin)
% read_thermo -- reads contents of the file produced with the thermo_style command. 
%
% Author: Agnieszka Herman, IOUG (agnieszka.herman@ug.edu.pl)
%
fid = fopen(varargin{1},'r');
if fid<=0
    error('File not found!');
end

data = [];
while feof(fid) == 0
    id = fgetl(fid);
    if strncmpi(id,'Step ',5) || strncmpi(id,'Time ',5)
        tmp = strtrim(id);
        ib = [0 strfind(tmp,' ') length(tmp)+1];
        for k = 1:length(ib)-1
            header{k} = tmp(ib(k)+1:ib(k+1)-1);
        end
        id = fgetl(fid);
        while ~feof(fid) && ~strncmpi(id,'Loop',4)
            data = [data; str2num(id)];                 %#ok<ST2NM>
            id = fgetl(fid);
        end
    end
end 
fclose(fid);

if ~isempty(data)
    ind = find(diff(data(:,1))==0);
    data(ind+1,:) = [];
end

thermo.header = header;
thermo.data = data;